wordpress keeps nagging to 3.0.1 although I am running 3.0.1

It feels like wp is randomly displaying that that notice. I have upgraded several times during the last 3 days and every so often it nags again :slight_frown:

any idea what could be wrong?